Bug 65074 - (NET NE) ne1000 isa networkcard stops working when 100% cpu is consumed
(NET NE) ne1000 isa networkcard stops working when 100% cpu is consumed
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-16 20:37 EDT by Need Real Name
Modified: 2013-07-02 22:06 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-05-16 20:37:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; Q312461; .NET 
CLR 1.0.3705)

Description of problem:
When the CPU is running at 100%, the network stops working.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install redhat 7.3 (probably a kernel issue)
2.Install ISA (ne.o) network card
3.Run a task (as root) that takes 100% of your CPU.


Actual Results:  Network stops functioning...
Ping eventualy times out and says host not reachable.

Expected Results:  Network should work properly.

Additional info:

2.4.18-4smp #1 SMP i686 (also occued with 2.4.18-3smp)
RedHat 7.3
SMP system with NE.o network card.

I tested the network by running this application (as root) over an SSH 
connection.
I would expect the progress ouptut to show up as the application ran, but 
instead all the output shows up at the end when the application has finished.

#include <stdio.h>

int main(){
  float x=3.14159, y=9.51413, z=1.23567;
  int i=10000000;
  printf("Start\n");
  while(--i){
    x=(i*y-z+x)/(x*y+z);
    y=(z*y-i+x)/(y*x+z);
    z=(x*y-z+i)/(z*y+x);
    if(i==0)      printf("100%\n");
    if(i==1000000)printf("90%\n");
    if(i==2000000)printf("80%\n");
    if(i==3000000)printf("70%\n");
    if(i==4000000)printf("60%\n");
    if(i==5000000)printf("50%\n");
    if(i==6000000)printf("40%\n");
    if(i==7000000)printf("30%\n");
    if(i==8000000)printf("20%\n");
    if(i==9000000)printf("10%\n");
  }
  printf("End\n");
  exit(0);
}

I also ran:
  ping 134.117.69.1 > pingOutput 2>&1 &
while the application as running and the pingOutput file looked like this:
[paul@heatman paul]$ cat pingOutput
PING 134.117.69.1 (134.117.69.1) from 134.117.69.101 : 56(84) bytes of data.
...
64 bytes from 134.117.69.1: icmp_seq=8 ttl=64 time=6.77 ms
64 bytes from 134.117.69.1: icmp_seq=9 ttl=64 time=7.66 ms
64 bytes from 134.117.69.1: icmp_seq=10 ttl=64 time=6.56 ms
64 bytes from 134.117.69.1: icmp_seq=15 ttl=64 time=43.1 ms
64 bytes from 134.117.69.1: icmp_seq=16 ttl=64 time=6.56 ms
64 bytes from 134.117.69.1: icmp_seq=17 ttl=64 time=6.54 ms

Notice how 4 icmp_seq numbers are missing.
Comment 1 Bugzilla owner 2004-09-30 11:39:35 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.